# IRdAvatarMotionStateDisp Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | SetTimeStamp ([in] RtUlong dwTimeStamp)
HRESULT | GetTimeStamp ([out, retval]RtUlong *pdwTimeStamp)
HRESULT | AddTrack ([in] BSTR szTrackName,[in] RtFloat fWeight,[in] RtFloat fTime)
HRESULT | GetTracksCount ([out, retval] RtUlong *pdwTracksCount)
HRESULT | GetTrackName ([in] RtUlong dwIndex,[out, retval] BSTR *pszTrackName)
HRESULT | GetTrackWeight ([in] RtUlong dwIndex,[out, retval] float *pfWeight)
HRESULT | GetTrackTime ([in] RtUlong dwIndex,[out, retval] float *pfTime)

## Detailed Description

Scriptable version of IRdAvatarMotionState

## Member Function Documentation

HRESULT IRdAvatarMotionStateDisp::SetTimeStamp | ( | [in] RtUlong | dwTimeStamp | ) |

Set timestamp of this data. Timestamps are used for time-smooth interpolation

Parameters:

  | dwTimeStamp | Motion state time stamp
  | S_OK | is returned

HRESULT IRdAvatarMotionStateDisp::GetTimeStamp | ( | [out, retval] RtUlong * | pdwTimeStamp | ) |

Get timestamp of this data.

Parameters:

  | pdwTimeStamp | Motion state time stamp
  | S_OK | is returned

HRESULT IRdAvatarMotionStateDisp::AddTrack | ( | [in] BSTR | szTrackName,
|  | [in] RtFloat | fWeight,
|  | [in] RtFloat | fTime |
| ) |  |  |

Add track to data object.

Parameters:

  | szTrackName | Name of the track
  | fWeight | Weight for animation
  | fTime | Animation time

Returns:
  S_OK is returned.

HRESULT IRdAvatarMotionStateDisp::GetTracksCount | ( | [out, retval] RtUlong * | pdwTracksCount | ) |

Get tracks count.

Parameters:

  | pdwTracksCount | Number of active tracks

Returns:
  S_OK is returned

HRESULT IRdAvatarMotionStateDisp::GetTrackName | ( | [in] RtUlong | dwIndex,
|  | [out, retval] BSTR * | pszTrackName |
| ) |  |  |

Get track name

Parameters:

  | dwIndex | Track index
  | pszTrackName | Name of the track

Returns:
  S_OK is returned if succeeded

HRESULT IRdAvatarMotionStateDisp::GetTrackWeight | ( | [in] RtUlong | dwIndex,
|  | [out, retval] float * | pfWeight |
| ) |  |  |

Get track weight

Parameters:

  | dwIndex | Track index
  | pfWeight | Weight for animation

Returns:
  S_OK is returned if succeeded

HRESULT IRdAvatarMotionStateDisp::GetTrackTime | ( | [in] RtUlong | dwIndex,
|  | [out, retval] float * | pfTime |
| ) |  |  |

Get track time

Parameters:

  | dwIndex | Track index
  | pfTime | Animation time

Returns:
  S_OK is returned if succeeded